## pd-cyclone 0.1~alpha55

=== Makefile ===
include Makefile.dirs

all:
	@for i in $(MIXED_DIRS) ; \
		do ( if [ -d $$i ] ; then cd $$i; $(MAKE) ; fi ) ; done
	@if [ -d doc/src ] ; then cd doc/src ; $(MAKE) ; fi

clean cleanall:
	@for i in $(MIXED_DIRS) ; \
		do ( if [ -d $$i ] ; then cd $$i; $(MAKE) $@ ; fi ) ; done
	rm -f *.gz

diff depend emptydeps:
	@for i in $(MIXED_DIRS) ; \
		do ( if [ -d $$i ] ; then cd $$i; $(MAKE) $@ ; fi ) ; done

ALLSRC_TAR = release/miXed-`date +%F`-src.tar
ALLSRC_ROOTFILES = LICENSE.txt Makefile.common Makefile Makefile.dirs \
	dumpsetups

snap release:
	@for i in $(RELEASE_DIRS) ; \
		do ( if [ -d $$i ] ; then cd $$i; $(MAKE) $@ ; fi ) ; done

rootsnap:
	tar -cf $(ALLSRC_TAR) $(ALLSRC_ROOTFILES)
	@for i in $(RELEASE_DIRS) ; \
		do ( if [ -d $$i ] ; then tar -X $$i/$$i-all.exclude -rf \
			$(ALLSRC_TAR) $$i/* ; fi ) ; done
	tar -X shared/shared-all.exclude -rf $(ALLSRC_TAR) shared/*
	@for i in $(RELEASE_DIRS) ; \
		do ( if [ -d $$i ] ; then tar -X $$i/$$i-test.exclude -rf \
			$(ALLSRC_TAR) test/$$i/* ; fi ) ; done
	@for i in $(RELEASE_DIRS) ; \
		do ( if [ -d $$i ] ; then tar -T $$i/$$i-help.include -rf \
			$(ALLSRC_TAR) ; fi ) ; done
	@for i in $(RELEASE_DIRS) ; \
		do ( if [ -d $$i ] ; then tar -X $$i/$$i-vicious.exclude -rf \
			$(ALLSRC_TAR) ViCious/$$i/* ; fi ) ; done
	tar -rf $(ALLSRC_TAR) bin/notes.txt
	gzip -f $(ALLSRC_TAR)

fullsnap: snap rootsnap

backup:
	tar -X miXed-bak-exclude.files -zcf miXed-bak.tar.gz *

=== shared/Makefile ===
ROOT_DIR = ..
include $(ROOT_DIR)/Makefile.common

=== toxy/Makefile ===
ROOT_DIR = ..
WIDPATH = $(ROOT_DIR)/test/toxy/setup.wid
WIQFILE = $(notdir $(WIDPATH:.wid=.wiq))
redefault: checkwiq $(WIQFILE) default
checkwiq:
	@if [ -f $(WIQFILE) ] && ! [ -s $(WIQFILE) ] ; then \
		echo ERROR: empty file $(WIQFILE)... removed ; \
		rm -f $(WIQFILE) ; fi
$(WIQFILE): $(WIDPATH)
	@echo transferring widget definitions from \"$<\" to \"$@\"
# LATER think how to replace puts with pdtk_post
	printf '// Do not edit this file (edit "$<", and run "make").\n//\nputs stderr [concat loading built-in widget definitions]\n' \
	| cat - $< | sed \
-e '1,\|//$$|{p;d;}' \
-e 's/\([\\\"]\)/\\\1/g' \
-e 's/^.*$$/\"&\\n\"/' > $@
	@if [ -f $(WIQFILE) ] && ! [ -s $(WIQFILE) ] ; then \
		echo ERROR: transfer failed... $(WIQFILE) removed ; \
		rm -f $(WIQFILE) ; fi
include $(ROOT_DIR)/Makefile.common

=== cyclone/shadow/Makefile ===
ROOT_DIR = ../..
redefault: default $(ROOT_DIR)/bin/cyclist
include $(ROOT_DIR)/Makefile.common

$(ROOT_DIR)/bin/cyclist: $(SHARED_DIR)/common/binport.c \
	$(SHARED_DIR)/common/lex.c $(SHARED_DIR)/unstable/standalone.c 
	$(CC) $(CFLAGS) -DMIXED_STANDALONE -o $@ $^

=== cyclone/sickle/Makefile ===
ROOT_DIR = ../..
redefault: allsickles.c default
include $(ROOT_DIR)/Makefile.common

=== doc/src/Makefile ===
include Makefile.dirs

default: all

.DEFAULT:
	@for SUB_DIR in $(SUB_DIRS) ; \
		do ( if [ -d $$SUB_DIR ] && [ -f $$SUB_DIR/Makefile ] ; then \
			cd $$SUB_DIR; $(MAKE) $@ ; fi ) ; done

=== shared/unstable/Makefile ===
ROOT_DIR = ../..
include $(ROOT_DIR)/Makefile.common

all: $(OBJECTS)

=== debian/changelog ===
pd-cyclone (0.1~alpha55-7) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Bumped Standards-Version to 3.9.4
  * Updated to copyright-format/1.0
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Fixed out-of-bound array access (Closes: #715772)
  * Removed unneeded patches
  * Exported CFLAGS and LDFLAGS
    * Added patch to allow passing of extra FLAGS
    * Enabled hardening-flags
  * Dropped Build-Depends on "puredata" (keep only "puredata-dev")
  * Used more CDBS features for packaging
    * Unconditionally included cdbs/utils.mk
    * Used cdbs/pd.mk snippet
    * Switched to debian/control.in
    * Added README.source to emphasize control.in file as *not* a show-stopper
      for contributions.
  * Added lintian-override: upstream comes without Changelog
  * Used canonical Vcs-* stanzas
  * Added myself to uploaders
  * Updated debian/watch
  * Updated debian/copyright
  * Regenerated debian/copyright_hints
  * Bumped Standards-Version to 3.9.5

 -- Felipe Sateler <fsateler@debian.org>  Fri, 21 Mar 2014 11:21:10 -0300

pd-cyclone (0.1~alpha55-6) unstable; urgency=low

  * add new HURD/kFreeBSD fixes and consolidate them into a single patch

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 02 Jan 2012 02:17:20 -0500

pd-cyclone (0.1~alpha55-5) unstable; urgency=low

  * include upstream Makefile.common to fix on GNU and kFreeBSD kernels

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 15:30:37 -0500

pd-cyclone (0.1~alpha55-4) unstable; urgency=low

  * fixed Depends to use new puredata 0.43 package suite
  * take upstream Makefile to fix building on GNU/Hurd and kFreeBSD

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 00:26:09 -0500

pd-cyclone (0.1~alpha55-3) unstable; urgency=low

  * updated Build-Depends to use puredata-dev when available
        (Closes: #629705)
  * bumped standards version to 3.9.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 12:34:06 -0400

pd-cyclone (0.1~alpha55-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Tidy long description:
    + Fix typo.
    + Drop remark irrelevant without hyperlink.
    + Rewrap at 72 chars, and use double-space after full-stop.

  [ Hans-Christoph Steiner ]
  * split out cyclist into its own package using debian/tmp+dh_install

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 23 Dec 2010 00:56:53 -0500

pd-cyclone (0.1~alpha55-1) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Initial release.
    Closes: bug#602994.

  [ Felipe Sateler ]
  * Use CDBS instead of long-form debhelper.

  [ Jonas Smedegaard ]
  * Tighten packaging (e.g. relax build-dependencies), thanks to CDBS.
  * Tighten copyright file, thanks to CDBS copyright-check routine.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Dec 2010 10:48:26 +0100

=== debian/control ===
Source: pd-cyclone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 IOhannes m zmölnig <zmoelnig@iem.at>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 puredata-dev
Standards-Version: 3.9.5
Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-cyclone.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-cyclone.git

Package: pd-cyclone
Architecture: any
Depends: ${shlibs:Depends},
 puredata-core | pd,
 pd-libdir,
 ${misc:Depends}
Recommends: pd-import,
 pd-pddp,
 cyclist
Description: Pd library of clones of Max/MSP 4.5 objects
 Cyclone is a library of PureData classes, bringing some level of
 compatibility between Max/MSP and Pd environments.  Although being
 itself in the early stage of development, it is meant to eventually
 become part of a much larger project, aiming at unification and
 standardization of computer musician's tools.
 .
 In its current form, cyclone is mainly for people using both Max and
 Pd, and thus wanting to develop cross-platform patches.  In this
 respect, cyclone has much in common with Thomas Grill's flext, and
 flext-based externals.  While flext enables developing new
 cross-platform classes, cyclone makes existing classes cross-platform.
 .
 Cyclone also comes handy, somewhat, in the task of importing Max/MSP
 patches into Pd.  Do not expect miracles, though, it is usually not an
 easy task.

Package: cyclist
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: pd-cyclone
Description: Utility for converting Max/MSP binary patches to text
 cyclist is a command line utility for converting the .mxb binary format for
 Max/MSP patches into the .mxt/.pat text format.  It is part of the Cyclone
 library for Pure Data, which aims to bring some level of compatibility
 between the Max/MSP and Pd environments. Although being itself in the early
 stage of development, it is meant to eventually become part of a much larger
 project, aiming at unification and standardization of computer musician's
 tools.
 .
 In its current form, cyclone is mainly for people using both Max and Pd, and
 thus wanting to develop cross-platform patches. In this respect, cyclone has
 much in common with Thomas Grill's flext, and flext-based externals. While
 flext enables developing new cross-platform classes, cyclone makes existing
 classes cross-platform.
 .
 Cyclone also comes handy, somewhat, in the task of importing Max/MSP patches
 into Pd. Do not expect miracles, though, it is usually not an easy task.

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/pd.mk


## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=-format,+fortify,+stackprotector,+relro
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk

# Relax inclusion of optional features to ease backporting
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_MAKE_MAKEFILE = Makefile.libdir
DEB_BUILDDIR = cyclone
DEB_MAKE_INSTALL_TARGET = DESTDIR=$(CURDIR)/debian/tmp \
			  prefix=/usr pkglibdir=$(pkglibdir) install

DEB_MAKE_EXTRA_ARGS = \
	EXTRA_CFLAGS="$(CPPFLAGS) -I$(CURDIR)/shared -I/usr/include/pd $(CFLAGS)" \
	EXTRA_LFLAGS="$(LDFLAGS)"

LIBRARY_NAME = cyclone
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

clean::
	$(MAKE) clean
	-rm -f cyclone/Makefile.deps
	-rm -f cyclone/hammer/Makefile.deps
	-rm -f cyclone/shadow/Makefile.deps
	-rm -f cyclone/sickle/Makefile.deps
	-rm -f pddp/Makefile.deps shared/Makefile.deps shared/common/Makefile.deps
	-rm -f shared/hammer/Makefile.deps shared/sickle/Makefile.deps
	-rm -f shared/toxy/Makefile.deps shared/unstable/Makefile.deps
	-rm -f toxy/Makefile.deps

=== debian/watch ===
# process with `uscan`
version=3
opts=uversionmangle=s/-src/.src/;s/(\d)-(alpha)/$1~$2/ \
http://sf.net/pure-data/cyclone-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## pd-cyclone 0.2~beta1

=== Makefile ===
# Makefile for pure data externals in lib cyclone

lib.name = cyclone

# for the MINGW which has the timespec struct defined twice
cflags = -Ishared -DHAVE_STRUCT_TIMESPEC

uname := $(shell uname -s)
ifeq (MINGW,$(findstring MINGW,$(uname)))
    ldlibs += -lpthread
endif

################################################################################
### hammer #####################################################################
################################################################################


# common sources for hammer types

hloud := \
shared/common/loud.c

hfitter := \
shared/common/loud.c \
shared/common/fitter.c

hforky := \
shared/common/loud.c \
shared/unstable/forky.c

hfragile := \
shared/common/loud.c \
shared/unstable/fragile.c

hgrow := \
shared/common/grow.c \
shared/common/loud.c

hgrowfitter := \
shared/common/grow.c \
shared/common/loud.c \
shared/common/fitter.c

hfile := \
shared/hammer/file.c \
shared/common/loud.c \
shared/common/os.c \
shared/common/fitter.c \
shared/unstable/forky.c

hrand := \
shared/common/rand.c \
shared/common/loud.c

hrandfile := \
shared/common/rand.c \
shared/hammer/file.c \
shared/common/loud.c \
shared/common/os.c \
shared/common/fitter.c \
shared/unstable/forky.c

hrandgrow := \
shared/common/rand.c \
shared/common/grow.c \
shared/common/loud.c \
shared/common/fitter.c

hrandgrowfile := \
shared/common/rand.c \
shared/common/grow.c \
shared/hammer/file.c \
shared/common/loud.c \
shared/common/os.c \
shared/unstable/forky.c

htree := \
shared/hammer/tree.c \
shared/common/loud.c

htreefilevefl := \
shared/hammer/tree.c \
shared/hammer/file.c \
shared/common/vefl.c \
shared/common/loud.c \
shared/common/os.c \
shared/unstable/forky.c \
shared/unstable/fragile.c

hgui := \
shared/hammer/gui.c \
shared/common/loud.c

hseq := \
shared/common/mifi.c \
shared/hammer/file.c \
shared/common/grow.c \
shared/common/loud.c \
shared/common/os.c \
shared/common/fitter.c \
shared/unstable/forky.c


# hammer classes
accum.class.sources := hammer/accum.c $(hplain)
acos.class.sources := hammer/acos.c $(hplain)
active.class.sources := hammer/active.c $(hgui)
anal.class.sources := hammer/anal.c $(hloud)
Append.class.sources := hammer/Append.c $(hgrowfitter)
asin.class.sources := hammer/asin.c $(hplain)
bangbang.class.sources := hammer/bangbang.c $(hfitter)
bondo.class.sources := hammer/bondo.c $(hgrow)
Borax.class.sources := hammer/Borax.c $(hloud)
Bucket.class.sources := hammer/Bucket.c $(hplain)
buddy.class.sources := hammer/buddy.c $(hgrow)
capture.class.sources := hammer/capture.c $(hfile)
cartopol.class.sources := hammer/cartopol.c $(hplain)
Clip.class.sources := hammer/Clip.c $(hgrow)
coll.class.sources := hammer/coll.c $(hfile)
comment.class.sources := hammer/comment.c $(hforky)
cosh.class.sources := hammer/cosh.c $(hplain)
counter.class.sources := hammer/counter.c $(hfitter)
cycle.class.sources := hammer/cycle.c $(hfitter)
decide.class.sources := hammer/decide.c $(hloud)
Decode.class.sources := hammer/Decode.c $(hfitter)
drunk.class.sources := hammer/drunk.c $(hrand)
flush.class.sources := hammer/flush.c $(hplain)
forward.class.sources := hammer/forward.c $(hplain)
fromsymbol.class.sources := hammer/fromsymbol.c $(hplain)
funbuff.class.sources := hammer/funbuff.c $(htreefilevefl)
funnel.class.sources := hammer/funnel.c $(hgrow)
gate.class.sources := hammer/gate.c $(hfitter)
grab.class.sources := hammer/grab.c $(hfragile)
Histo.class.sources := hammer/Histo.c $(hloud)
iter.class.sources := hammer/iter.c $(hgrow)
match.class.sources := hammer/match.c $(hgrow)
maximum.class.sources := hammer/maximum.c $(hfitter)
mean.class.sources := hammer/mean.c $(hplain)
midiflush.class.sources := hammer/midiflush.c $(hplain)
midiformat.class.sources := hammer/midiformat.c $(hplain)
midiparse.class.sources := hammer/midiparse.c $(hplain)
minimum.class.sources := hammer/minimum.c $(hfitter)
mousefilter.class.sources := hammer/mousefilter.c $(hgui)
MouseState.class.sources := hammer/MouseState.c $(hgui)
mtr.class.sources := hammer/mtr.c $(hfile)
next.class.sources := hammer/next.c $(hplain)
offer.class.sources := hammer/offer.c $(htree)
onebang.class.sources := hammer/onebang.c $(hplain)
past.class.sources := hammer/past.c $(hgrowfitter)
Peak.class.sources := hammer/Peak.c $(hplain)
poltocar.class.sources := hammer/poltocar.c $(hplain)
prepend.class.sources := hammer/prepend.c $(hgrowfitter)
prob.class.sources := hammer/prob.c $(hrandfile)
pv.class.sources := hammer/pv.c $(hgrow)
seq.class.sources := hammer/seq.c $(hseq)
sinh.class.sources := hammer/sinh.c $(hplain)
speedlim.class.sources := hammer/speedlim.c $(hgrow)
spell.class.sources := hammer/spell.c $(hloud)
split.class.sources := hammer/split.c $(hplain)
spray.class.sources := hammer/spray.c $(hloud)
sprintf.class.sources := hammer/sprintf.c $(hloud)
substitute.class.sources := hammer/substitute.c $(hgrow)
sustain.class.sources := hammer/sustain.c $(hplain)
switch.class.sources := hammer/switch.c $(hfitter)
Table.class.sources := hammer/Table.c $(hrandgrowfile)
tanh.class.sources := hammer/tanh.c $(hplain)
testmess.class.sources := hammer/testmess.c $(hfragile)
thresh.class.sources := hammer/thresh.c $(hgrow)
TogEdge.class.sources := hammer/TogEdge.c $(hloud)
tosymbol.class.sources := hammer/tosymbol.c $(hgrow)
Trough.class.sources := hammer/Trough.c $(hplain)
universal.class.sources := hammer/universal.c $(hfragile)
urn.class.sources := hammer/urn.c $(hrandgrow)
Uzi.class.sources := hammer/Uzi.c $(hplain)
xbendin2.class.sources := hammer/xbendin2.c $(hplain)
xbendin.class.sources := hammer/xbendin.c $(hplain)
xbendout2.class.sources := hammer/xbendout2.c $(hplain)
xbendout.class.sources := hammer/xbendout.c $(hplain)
xnotein.class.sources := hammer/xnotein.c $(hplain)
xnoteout.class.sources := hammer/xnoteout.c $(hplain)
zl.class.sources := hammer/zl.c $(hgrow)


################################################################################
### sickle #####################################################################
################################################################################


# common sources for sickle types

ssic := \
shared/sickle/sic.c \
shared/common/loud.c

sforky := \
shared/sickle/sic.c \
shared/common/loud.c \
shared/unstable/forky.c

sfragile := \
shared/sickle/sic.c \
shared/common/loud.c \
shared/unstable/fragile.c

sfragilefitter := \
shared/sickle/sic.c \
shared/common/loud.c \
shared/common/fitter.c \
shared/unstable/fragile.c

sgrow := \
shared/common/grow.c \
shared/sickle/sic.c \
shared/common/loud.c

sgrowclc := \
shared/common/grow.c \
shared/common/clc.c \
shared/sickle/sic.c \
shared/common/loud.c

sgrowforky := \
shared/common/grow.c \
shared/sickle/sic.c \
shared/common/loud.c \
shared/common/fitter.c \
shared/unstable/forky.c

svefl := \
shared/common/vefl.c \
shared/sickle/sic.c \
shared/common/loud.c \
shared/unstable/fragile.c

sarsic := \
shared/sickle/sic.c \
shared/sickle/arsic.c \
shared/common/vefl.c \
shared/common/loud.c \
shared/unstable/fragile.c

sarsicfitter := \
shared/sickle/sic.c \
shared/sickle/arsic.c \
shared/common/vefl.c \
shared/common/loud.c \
shared/common/fitter.c \
shared/unstable/fragile.c

sfile := \
shared/hammer/file.c \
shared/sickle/sic.c \
shared/common/loud.c \
shared/common/os.c \
shared/unstable/forky.c

# special case: sickle but not tilde (see class linedrive)
splainnotilde := \
shared/common/loud.c \
shared/common/fitter.c


# sickle classes

abs~.class.sources := sickle/abs.c $(ssic)
acos~.class.sources := sickle/acos.c $(ssic)
acosh~.class.sources := sickle/acosh.c $(ssic)
allpass~.class.sources := sickle/allpass.c $(ssic)
asin~.class.sources := sickle/asin.c $(ssic)
asinh~.class.sources := sickle/asinh.c $(ssic)
atan2~.class.sources := sickle/atan2.c $(ssic)
atan~.class.sources := sickle/atan.c $(ssic)
atanh~.class.sources := sickle/atanh.c $(ssic)
average~.class.sources := sickle/average.c $(ssic)
avg~.class.sources := sickle/avg.c $(ssic)
bitand~.class.sources := sickle/bitand.c $(sforky)
bitnot~.class.sources := sickle/bitnot.c $(ssic)
bitor~.class.sources := sickle/bitor.c $(sforky)
bitshift~.class.sources := sickle/bitshift.c $(ssic)
bitxor~.class.sources := sickle/bitxor.c $(sforky)
buffir~.class.sources := sickle/buffir.c $(sarsicfitter)
capture~.class.sources := sickle/capture.c $(sfile)
cartopol~.class.sources := sickle/cartopol.c $(sfragile)
change~.class.sources := sickle/change.c $(ssic)
click~.class.sources := sickle/click.c $(sgrow)
Clip~.class.sources := sickle/Clip.c $(ssic)
comb~.class.sources := sickle/comb.c $(ssic)
cosh~.class.sources := sickle/cosh.c $(ssic)
cosx~.class.sources := sickle/cosx.c $(ssic)
count~.class.sources := sickle/count.c $(ssic)
curve~.class.sources := sickle/curve.c $(sgrowclc)
cycle~.class.sources := sickle/cycle.c $(svefl)
delay~.class.sources := sickle/delay.c $(ssic)
delta~.class.sources := sickle/delta.c $(ssic)
deltaclip~.class.sources := sickle/deltaclip.c $(ssic)
edge~.class.sources := sickle/edge.c $(ssic)
frameaccum~.class.sources := sickle/frameaccum.c $(sgrow)
framedelta~.class.sources := sickle/framedelta.c $(sgrow)
index~.class.sources := sickle/index.c $(sarsic)
kink~.class.sources := sickle/kink.c $(ssic)
Line~.class.sources := sickle/Line.c $(sgrow)
linedrive.class.sources := sickle/linedrive.c $(splainnotilde)
log~.class.sources := sickle/log.c $(ssic)
lookup~.class.sources := sickle/lookup.c $(sarsic)
lores~.class.sources := sickle/lores.c $(ssic)
matrix~.class.sources := sickle/matrix.c $(sfragilefitter)
maximum~.class.sources := sickle/maximum.c $(ssic)
minimum~.class.sources := sickle/minimum.c $(ssic)
minmax~.class.sources := sickle/minmax.c $(ssic)
mstosamps~.class.sources := sickle/mstosamps.c $(ssic)
onepole~.class.sources := sickle/onepole.c $(ssic)
overdrive~.class.sources := sickle/overdrive.c $(ssic)
peakamp~.class.sources := sickle/peakamp.c $(ssic)
peek~.class.sources := sickle/peek.c $(sarsic)
phasewrap~.class.sources := sickle/phasewrap.c $(ssic)
pink~.class.sources := sickle/pink.c $(ssic)
play~.class.sources := sickle/play.c $(sarsic)
poke~.class.sources := sickle/poke.c $(sarsic)
poltocar~.class.sources := sickle/poltocar.c $(sfragile)
pong~.class.sources := sickle/pong.c $(sforky)
pow~.class.sources := sickle/pow.c $(ssic)
rampsmooth~.class.sources := sickle/rampsmooth.c $(ssic)
rand~.class.sources := sickle/rand.c $(ssic)
record~.class.sources := sickle/record.c $(sarsic)
reson~.class.sources := sickle/reson.c $(ssic)
sah~.class.sources := sickle/sah.c $(ssic)
sampstoms~.class.sources := sickle/sampstoms.c $(ssic)
Scope~.class.sources := sickle/Scope.c $(sgrowforky)
sinh~.class.sources := sickle/sinh.c $(ssic)
sinx~.class.sources := sickle/sinx.c $(ssic)
slide~.class.sources := sickle/slide.c $(ssic)
Snapshot~.class.sources := sickle/Snapshot.c $(ssic)
spike~.class.sources := sickle/spike.c $(ssic)
svf~.class.sources := sickle/svf.c $(ssic)
tanh~.class.sources := sickle/tanh.c $(ssic)
tanx~.class.sources := sickle/tanx.c $(ssic)
train~.class.sources := sickle/train.c $(ssic)
trapezoid~.class.sources := sickle/trapezoid.c $(ssic)
triangle~.class.sources := sickle/triangle.c $(ssic)
vectral~.class.sources := sickle/vectral.c $(ssic)
wave~.class.sources := sickle/wave.c $(sarsic)
zerox~.class.sources := sickle/zerox.c $(ssic)

nettles.class.sources := shadow/nettles.c $(ssic)


datafiles = \
$(wildcard help/*-help.pd) \
help/dspSwitch~.pd \
help/output~.pd \
help/test.mid \
help/voice.wav \
LICENSE.txt \
README.md \
cyclone-meta.pd \
$(wildcard abstractions/*.pd)


################################################################################
### pdlibbuilder ###############################################################
################################################################################


# Include Makefile.pdlibbuilder from this directory, or else from central
# externals directory in pd-extended configuration.

externalsdir = ../..

=== debian/changelog ===
pd-cyclone (0.2~beta1-2) unstable; urgency=medium

  * Disable optimization flags (fixes FTBFS on armel)
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Feb 2016 21:29:43 +0100

pd-cyclone (0.2~beta1-1) unstable; urgency=medium

  * Imported Upstream version 0.2~beta1 (Closes: #792721)

  * debian/patches
    * Removed patches applied upstream
    * Patch to honour LDFLAGS
  * Alternative B-D on puredata
  * Depend on 'puredata' rather than 'puredata-core'
  * Demote dependency on pd-libdir to Recommends
  * Cleaned up debian/rules
    * Pass hardening-flags
  * Build and install cyclist
    * temporary Makefile to build cyclist
    * Pass build-flags to cyclist-makefile
  * Watch github repository of main fork
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (see README.source)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Fixed my uploader's name
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Jan 2016 10:00:25 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,30 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Felipe Sateler <fsateler@debian.org>,
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+ Felipe Sateler <fsateler@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
- IOhannes m zmölnig <zmoelnig@iem.at>
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: cdbs (>= 0.4.91~),
  debhelper,
  dh-buildinfo,
- puredata-dev
-Standards-Version: 3.9.5
+ devscripts,
+ dpkg-dev (>= 1.16.1~),
+ puredata-dev | puredata
+Standards-Version: 3.9.7
 Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-cyclone.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-cyclone.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-cyclone.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-cyclone.git
 
 Package: pd-cyclone
 Architecture: any
-Depends: ${shlibs:Depends},
- puredata-core | pd,
+Depends:
+ puredata | pd,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends:
  pd-libdir,
- ${misc:Depends}
-Recommends: pd-import,
+ pd-import,
  pd-pddp,
  cyclist
 Description: Pd library of clones of Max/MSP 4.5 objects

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2016 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for pd-cyclone
#
# The Standard Improved BSD License applies.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CFLAGS+=$(CPPFLAGS)
DEB_MAKE_EXTRA_ARGS+=arch.flags=""


DEB_MAKE_INSTALL_TARGET = DESTDIR=$(DEB_DESTDIR) \
			  prefix=/usr pkglibdir=$(pkglibdir) install

pkglibdir = /usr/lib/pd/extra

clean::
	$(MAKE) clean
	rm -f cyclist

build/cyclist::
	$(MAKE) -f debian/Makefile.cyclist \
		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

=== debian/watch ===
# process with uscan(1)
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-cyclone-$1\.tar\.gz/,uversionmangle=s/(alpha|beta)/~$1/ \
  https://github.com/electrickery/pd-cyclone/tags .*/v?(\d\S*)\.tar\.gz

## pd-cyclone 0.2~beta3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 uname := $(shell uname -s)
 ifeq (MINGW,$(findstring MINGW,$(uname)))
-    ldlibs += -lpthread
+    exe.extension = .exe
 endif
 
 ################################################################################
@@ -334,6 +334,7 @@
 svf~.class.sources := sickle/svf.c $(ssic)
 tanh~.class.sources := sickle/tanh.c $(ssic)
 tanx~.class.sources := sickle/tanx.c $(ssic)
+teeth~.class.sources := sickle/teeth.c $(ssic)
 train~.class.sources := sickle/train.c $(ssic)
 trapezoid~.class.sources := sickle/trapezoid.c $(ssic)
 triangle~.class.sources := sickle/triangle.c $(ssic)
@@ -352,8 +353,7 @@
 help/voice.wav \
 LICENSE.txt \
 README.md \
-cyclone-meta.pd \
-$(wildcard abstractions/*.pd)
+cyclone-meta.pd
 
 
 ################################################################################

=== debian/changelog ===
pd-cyclone (0.2~beta3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove obsolete file d/source/local-options
  * Fixed spelling error in patch-description
  * Add salsa-ci configuration
  * Add lintian overrides for false-positive "library-not-linked-against-libc"
  * Declare that building this package does not require 'root' powers.
  * Bump dh-compat to 13
    * Keep dh_missing happy
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Aug 2020 18:26:22 +0200

pd-cyclone (0.2~beta3-4) unstable; urgency=medium

  * Patch to include required standard headers
  * Switched to system-provided Makefile.pdlibbuilder
    * Patch to use system-provided pd-lib-builder
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:38:27 +0100

pd-cyclone (0.2~beta3-3) unstable; urgency=medium

  * Enabled hardening
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
  * Switched URLs to https://
  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Dropped obsolete d/git-tuneclone.sh
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:01:14 +0100

pd-cyclone (0.2~beta3-2) unstable; urgency=medium

  * Fixed symlinks to README.md (Closes: #857156)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Mar 2017 15:19:53 +0100

pd-cyclone (0.2~beta3-1) unstable; urgency=medium

  * New upstream version 0.2~beta3

  * Removed cludge to manually build cyclist
  * Don't include cyclist binary in pd-cyclone
  * One line per multi-value-field value
  * Update d/copyright
  * Regenerated d/copyright_hints & d/control
  * Bumped debhelper compat to 9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 12:41:02 +0100

pd-cyclone (0.2~beta2-1) unstable; urgency=medium

  * New upstream version 0.2~beta2

  [ IOhannes m zmölnig ]
  * Dropped patches applied upstream.
  * Bumped standards version to 3.9.8

  [ Felipe Sateler ]
  * Dropped myself from uploaders.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Aug 2016 22:01:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: pd-cyclone
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
- Felipe Sateler <fsateler@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: cdbs (>= 0.4.91~),
- debhelper,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
- devscripts,
  dpkg-dev (>= 1.16.1~),
- puredata-dev | puredata
-Standards-Version: 3.9.7
-Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-cyclone.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-cyclone.git
+ puredata-dev | puredata,
+ pd-lib-builder,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
+Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-cyclone.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-cyclone
 
 Package: pd-cyclone
 Architecture: any
 Depends:
  puredata | pd,
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
  pd-libdir,
  pd-import,
  pd-pddp,
- cyclist
+ cyclist,
 Description: Pd library of clones of Max/MSP 4.5 objects
  Cyclone is a library of PureData classes, bringing some level of
  compatibility between Max/MSP and Pd environments.  Although being
@@ -47,9 +46,11 @@
 
 Package: cyclist
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Suggests: pd-cyclone
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Suggests:
+ pd-cyclone,
 Description: Utility for converting Max/MSP binary patches to text
  cyclist is a command line utility for converting the .mxb binary format for
  Max/MSP patches into the .mxt/.pat text format.  It is part of the Cyclone

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|.*wav$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
## remove license file so we can replace it with link to the Debian license file
#	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints
